/*
 * Created on Mar 21, 2005
 */
package Cluedo.Controller;

import java.util.Vector;

import Cluedo.API.Message;
import Cluedo.Game.Board;

/**
 * @author Alex
 */
public interface Controller {

    public Board getBoard();
    
    public void directCommand(String command, Vector parameters);
    
	public void notifyAllListeners(Message feedback);
	
	public void bindListener(Object view) throws NullPointerException;
	
	public void relayMessage(Message alert);

}
